use std::ffi::{c_char, CString};

pub struct PluginContextContainer {
    pub inner: PluginContext,
    _config_dir: CString
}


#[repr(C)]
pub struct PluginContext {
    pub config_dir: *const c_char
}

impl PluginContext {
    pub fn new(config_dir: &CString) -> Self {
        Self {
            config_dir: config_dir.as_ptr()
        }
    }
}


impl PluginContextContainer {
    pub fn new(config_dir: &String) -> Self {
        let _config_dir = CString::new(config_dir.clone()).unwrap();
        Self {
            inner: PluginContext::new(&_config_dir),
            _config_dir,
        }
    }
}
